%define version	1.14.1
%define release 3mdk

Name:		freeciv
Summary:	FREE CIVilization clone
Version:	%{version}
Release:	%{release}
Source0:	ftp://ftp.freeciv.org/freeciv/stable/%{name}-%{version}.tar.bz2
Source1:	%{name}.server.wrapper.bz2
Source2:	stdsounds2.tar.bz2
Source3:	%{name}.bash-completion.bz2
Source10:	%{name}-client.16.png
Source11:	%{name}-client.32.png
Source12:	%{name}-client.48.png
Source20:	%{name}-server.16.png
Source21:	%{name}-server.32.png
Source22:	%{name}-server.48.png
License:	GPL
Group:		Games/Strategy
BuildRequires:	SDL_mixer-devel
BuildRequires:	gtk+2-devel
BuildRequires:	ncurses-devel
BuildRequires:	readline-devel
Packager:	Guillaume Cottenceau <gc@mandrakesoft.com>
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
URL:		http://www.freeciv.org/

%description
Freeciv is a multiplayer strategy game, released under the GNU General
Public License. It is generally comparable with Civilization II(r),
published by Microprose(r).

Default configuration uses the Civilization II(r) style Isometric view. If
you prefer classic Civilization(r) 2-d view, invoke the client with
"civclient --tiles trident".

%package	data
Group:		Games/Strategy
Summary:	FREE CIVilization clone - data files

%description	data
Freeciv is a multiplayer strategy game, released under the GNU General
Public License. It is generally comparable with Civilization II(r),
published by Microprose(r).

Default configuration uses the Civilization II(r) style Isometric view. If
you prefer classic Civilization(r) 2-d view, invoke the client with
"civclient --tiles trident".

%package        client
Group:          Games/Strategy
Summary:        FREE CIVilization clone - client
Provides:	%{name}
Obsoletes:	%{name}
Requires:	%{name}-data = %{version}-%{release}

%description    client
This is the graphical client for freeciv

%package        server
Group:          Games/Strategy
Summary:        FREE CIVilization clone - server
Provides:	%{name}
Obsoletes:	%{name}
Requires:	%{name}-data = %{version}-%{release}

%description    server
This is the server for freeciv.

%prep
%setup -q
bzcat %{SOURCE3} > %{name}.bash-completion

%build
%configure2_5x --bindir=%{_gamesbindir} --datadir=%{_gamesdatadir} --enable-client=gtk-2.0
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall bindir=$RPM_BUILD_ROOT%{_gamesbindir} datadir=$RPM_BUILD_ROOT%{_gamesdatadir} localedir=$RPM_BUILD_ROOT%{_datadir}/locale

tar --bzip2 -xf %{SOURCE2} -C $RPM_BUILD_ROOT%{_gamesdatadir}/%{name}
# install -d $RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults
# install -m 644 data/Freeciv $RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults/Freeciv

# icons
install -m644 %{SOURCE10} -D $RPM_BUILD_ROOT%{_miconsdir}/%{name}-client.png
install -m644 %{SOURCE11} -D $RPM_BUILD_ROOT%{_iconsdir}/%{name}-client.png
install -m644 %{SOURCE12} -D $RPM_BUILD_ROOT%{_liconsdir}/%{name}-client.png
install -m644 %{SOURCE20} -D $RPM_BUILD_ROOT%{_miconsdir}/%{name}-server.png
install -m644 %{SOURCE21} -D $RPM_BUILD_ROOT%{_iconsdir}/%{name}-server.png
install -m644 %{SOURCE22} -D $RPM_BUILD_ROOT%{_liconsdir}/%{name}-server.png

# wrapper
mv $RPM_BUILD_ROOT%{_gamesbindir}/civserver $RPM_BUILD_ROOT%{_gamesbindir}/civserver.real
bzcat %{SOURCE1} > $RPM_BUILD_ROOT%{_gamesbindir}/civserver

# menu entry
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat >$RPM_BUILD_ROOT%{_menudir}/%{name}-client <<EOF
?package(%{name}-client):\
	needs="x11"\
	section="Amusement/Strategy"\
	title="Freeciv client"\
	longtitle="The Free Civilization Clone"\
	command="%{_gamesbindir}/civclient"\
	icon="%{name}-client.png"
EOF

cat >$RPM_BUILD_ROOT%{_menudir}/%{name}-server <<EOF
?package(%{name}-server):\
	needs="text"\
	section="Amusement/Strategy"\
	title="Freeciv server"\
	longtitle="The Free Civilization Clone (server)"\
	command="%{_gamesbindir}/civserver"\
	icon="%{name}-server.png"
EOF

%find_lang %{name}

install -d -m 755 $RPM_BUILD_ROOT%{_sysconfdir}/bash_completion.d
install -m 644 %{name}.bash-completion $RPM_BUILD_ROOT%{_sysconfdir}/bash_completion.d/%{name}

%post client
%update_menus

%postun client
%clean_menus

%post server
%update_menus

%postun server
%clean_menus


%clean
rm -fr %buildroot

%files -f %{name}.lang data
%defattr(644,root,root,0755)
%doc AUTHORS doc/BUGS doc/HOWTOPLAY NEWS doc/README doc/README.AI doc/README.graphics doc/README.rulesets doc/README.sound doc/HACKING
%defattr(644,root,games,0755)
%{_gamesdatadir}/%{name}
%config(noreplace) %{_sysconfdir}/bash_completion.d/%{name}
# /usr/X11R6/lib/X11/app-defaults/Freeciv

%files client
%defattr(755,root,games,0755)
%{_gamesbindir}/civclient
%defattr(644,root,root,0755)
%{_menudir}/%{name}-client
%{_iconsdir}/%{name}-client.png
%{_miconsdir}/%{name}-client.png
%{_liconsdir}/%{name}-client.png

%files server
%defattr(755,root,games,0755)
%{_gamesbindir}/civserver*
%defattr(644,root,root,0755)
%{_menudir}/%{name}-server
%{_iconsdir}/%{name}-server.png
%{_miconsdir}/%{name}-server.png
%{_liconsdir}/%{name}-server.png

%changelog
* Mon Jan 05 2004 Abel Cheung <deaddog@deaddog.org> 1.14.1-3mdk
- Remove bash-completion dependency

* Tue Dec 30 2003  Guillaume Rousse <guillomovitch@mandrake.org> 1.14.1-2mdk
- added bash-completion

* Mon Dec 15 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.14.1-1mdk
- 1.14.1

* Mon Aug 11 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.14.0-8mdk
- split package to avoid alot of dependencies if we were to only install the server
- cosmetics
- don't bzip2 icons

* Tue Aug 05 2003  Guillaume Rousse <guillomovitch@linux-mandrake.com> 1.14.0-7mdk
- wrapper converts relative to absolute pathes
- wrapper as outside file, menu entry as in document

* Mon Aug 04 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.14.0-6mdk
- rebuild
- drop prefix tag
- don't pollute output when extracting S2
- use %%make macro

* Wed Mar  5 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 1.14.0-5mdk
- fix #2424 (by updating SOURCE2)

* Mon Feb 17 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 1.14.0-4mdk
- thx to Gtz Waschk
  - remove obsolete buildrequires and binary renaming cruft

* Tue Jan 28 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.14.0-3mdk
- use the autoconf2.5 macro to fix binary naming

* Mon Jan 27 2003 Stew Benedict <gc@mandrakesoft.com> 1.14.0-2mdk
- change binary rename techique to work on PPC too

* Sat Jan 18 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 1.14.0-1mdk
- 1.14

* Tue Sep 17 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 1.13.0-6mdk
- fix saving games when launching civserver in a non writable directory
  (thx Danny Tholen <danny@mailmij.org>)

* Sun Aug  4 2002 Stefan van der Eijk <stefan@eijk.nu> 1.13.0-5mdk
- BuildRequires

* Thu Jul 25 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.13.0-4mdk
- Automated rebuild with gcc3.2

* Wed Jul 24 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.13.0-3mdk
- rebuild for new readline

* Sun Jul 21 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 1.13.0-2mdk
- recompile against new vorbis stuff

* Tue Jul 16 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 1.13.0-1mdk
- new version, many new features!

* Wed Mar 20 2002 David BAUDENS <baudens@mandrakesoft.com> 1.12.0-6mdk
- Clean after build

* Thu Jan 31 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.12.0-5mdk
- xpm -> png icons

* Wed Oct 17 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.12.0-4mdk
- fix obsolete-tag Copyright
- fix large-icon-not-in-package
- fix normal-icon-not-in-package

* Tue Sep 18 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.12.0-3mdk
- have the locale files in the package!

* Thu Aug 30 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.12.0-2mdk
- rebuild to fix incoherent version in changelog

* Sat Aug 11 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.12-1mdk
- new version, goodies include:
  - i18n for de en_GB es fr hu it ja nl no pl pt pt_BR ro ru sv
  - isometric view (use "civclient --tiles trident" if you want old one)
  - preview for goto (showing a line while you move the mouse)
  - readline support for server
  - shared vision between players
  - a lot of other small improvements, and bugfixes

* Wed Jul  4 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.11.6-1mdk
- new release (warning, this is considered a beta version)

* Tue Mar  6 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.11.4-5mdk
- recompile for 8.0 (for safety)

* Wed Aug 23 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.11.4-4mdk
- automatically added packager tag

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.11.4-3mdk
- automatically added BuildRequires

* Mon Jul 31 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.11.4-2mdk
- add readline support
- change auto settlers behaviour :-)
  (a suggestion of Pixel: they first build roads, then they irrigate)

* Fri Jul 21 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.11.4-1mdk
- 1.11.4

* Wed Jul 19 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.11.0-4mdk
- rebuild for buggy % clean_menus

* Tue Jul 18 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.11.0-3mdk
- rebuild with new menu/icons macros

* Tue Jul 11 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.11.0-2mdk
- macros

* Mon Jul  3 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.11.0-1mdk
- 1.11.0 (Goodies: Fog of War, max 30 players, etc)
- macroizification

* Mon Apr 17 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.10.0-5mdk
- fixed directory owns
- added 32x32 icon

* Mon Apr 10 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.10.0-4mdk
- added icons

* Wed Apr  5 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.10.0-3mdk
- fixed minor warning in menus

* Mon Mar 27 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.10.0-2mdk
- new groups
- menu entry
- complete rewrite of this piece of sh*t specfile

* Tue Mar 14 2000 Guillaume Cottenceau <gc@mandrakesoft.com>
- 1.10.0 stable release

* Mon Jan 03 2000 Jerome Martin <jerome@mandrakesoft.com>
- Fixing some file permissions

* Thu Dec 30 1999 Jerome Martin <jerome@mandrakesoft.com>
- Fixing some file permissions

* Mon Dec 06 1999 Jerome Martin <jerome@mandrakesoft.com>
- 1.9.0 stable release

* Sat Jul 10 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.de>
- 1.8.1 release
- add /usr/share/games/freeciv/trident

* Sun Jun 27 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.de>
- Update to CVS snapshot
- Enable building the GTK client

* Thu May 20 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Corrected file permissions on /usr/share/games/freeciv/*

* Mon May 10 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- 1.8.0

* Tue Apr 20 1999 Bernhard Rosenkraenzer <bero@microsoft.sucks.eu.org>
- Updated to cvs-99-Apr-20

* Sat Mar  6 1999 Bernhard Rosenkraenzer <bero@microsoft.sucks.eu.org>
- Updated to cvs-99-Mar-06 (better graphics etc.)
- install man pages from debian directory

* Thu Feb  4 1999 Bernhard Rosenkraenzer <bero@microsoft.sucks.eu.org>
- Updated to cvs-99-Feb-04 (adds space race support)
- install man pages from debian directory

* Sun Dec 27 1998 Bernhard Rosenkraenzer <bero@microsoft.sucks.eu.org>
- Updated to cvs-98-Dec-26 (1.7.2)

* Sat Dec 19 1998 Bernhard Rosenkraenzer <bero@microsoft.sucks.eu.org>
- Updated to pre-1.7.2 to get easy mode and Xaw3d support
- Use Xaw3d

* Sat Sep 19 1998 Toshio Kuratomi <badger@prtr-13.ucsc.edu>
- Updated to 1.7.1
- Switched to using configure instead of imake... If it doesn't work,
  Just comment/uncomment the appropriate blocks.
- Changed the install directories to be FHS-1.0 conformant.
- sed'd the civ script so it has the correct path to the data directory.
- Added %attr to the %files so non-root can build.

* Thu Aug 6 1998 Hugo van der Kooij <hvdkooij@caiw.nl>
- Updated to 1.7.0
* Sat Jun 20 1998 Hugo van der Kooij <hvdkooij@caiw.nl>
- Updated to 1.6.3
- Added BuildRoot
